package com.rjconsultores.ventaboletos.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.EmbarcadaDispOperadorDAO;
import com.rjconsultores.ventaboletos.entidad.EmbarcadaDispOperador;
import com.rjconsultores.ventaboletos.service.EmbarcadaDispOperadorService;

@Service("embarcadaDispOperadorService")
public class EmbarcadaDispOperadorServiceImpl implements EmbarcadaDispOperadorService {

	@Autowired
	private EmbarcadaDispOperadorDAO embarcadaDispOperadorDAO;
	@Override
	public List<EmbarcadaDispOperador> obtenerTodos() {
		return null;
	}

	@Override
	public EmbarcadaDispOperador obtenerID(Long id) {
		return null;
	}

	@Override
	public EmbarcadaDispOperador suscribir(EmbarcadaDispOperador entidad) {
		return null;
	}

	@Override
	public EmbarcadaDispOperador actualizacion(EmbarcadaDispOperador entidad) {
		return null;
	}

	@Override
	public void borrar(EmbarcadaDispOperador entidad) {
		
	}
	
	@Override
	public List<EmbarcadaDispOperador> buscarEmbarcadaDispOperadorPorDispositivo(Long dispositivoEmbarcadaId) {
		return embarcadaDispOperadorDAO.buscarEmbarcadaDispOperadorPorDispositivo(dispositivoEmbarcadaId);
	}
	
	@Override
	public List<EmbarcadaDispOperador> buscarEmbarcadaDispOperadorPorPuntoVenta(Long puntoVentaId) {
		return embarcadaDispOperadorDAO.buscarEmbarcadaDispOperadorPorPuntoVenta(puntoVentaId);
	}
	
	@Override
	public boolean removerListEmbarcadaDispOperador(List<EmbarcadaDispOperador> embarcadaDisOperadorList) {
		return embarcadaDispOperadorDAO.removerListEmbarcadaDispOperador(embarcadaDisOperadorList);
		
	}

	@Transactional
	@Override
	public boolean inserirListEmbarcadaDispOperador(List<EmbarcadaDispOperador> embarcadaDisOperadorList) {
		try {
			embarcadaDispOperadorDAO.suscribirTodos(embarcadaDisOperadorList);
		}catch (Exception e) {
			return false;
		}
		return true;
	}
	



}
